xmonad-contrib-0.18.1: Community-maintained extensions for xmonad

License | BSD3-style (see LICENSE)
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Actions.WithAll

Contents

- Usage

Description

Provides functions for performing a given action on all or certain groups of windows on the current workspace.

Synopsis

- sinkAll :: X ()
- withAll :: (Window -> X ()) -> X ()
- withAll' :: (Window -> WindowSet -> WindowSet) -> X ()
- killAll :: X ()
- killOthers :: X ()

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Actions.WithAll

then add a keybinding; for example:

, ((modm .|. shiftMask, xK_t), sinkAll)

For detailed instructions on editing your key bindings, see the tutorial.

sinkAll :: X () #

Un-float all floating windows on the current workspace.

withAll :: (Window -> X ()) -> X () #

Execute an `X` action for each window on the current workspace.

withAll' :: (Window -> WindowSet -> WindowSet) -> X () #

Apply a function to all windows on the current workspace.

killAll :: X () #

Kill all the windows on the current workspace.

killOthers :: X () #

Kill all the unfocused windows on the current workspace.